Summary:	WenQuanYi MicroHei TrueType fonts
Name:		fonts-ttf-wqy-microhei
Version:	0.2.0
Release:	%mkrel 14
License:	ASL 2.0 or GPLv3
URL:		http://wenq.org/
Group:		System/Fonts/True type
Source0:	https://downloads.sourceforge.net/wqy/wqy-microhei-%{version}-beta.tar.gz
BuildArch:	noarch
BuildRequires:	fontconfig

%description
WenQuanYi Micro Hei font family is a Sans-Serif style (also known as Hei,
Gothic or Dotum among the Chinese/Japanese/Korean users) high quality
CJK outline font. It was derived from "Droid Sans Fallback", "Droid
Sans" and "Droid Sans Mono" released by Google Corp. This font package
contains two faces, "Micro Hei" and "Micro Hei Mono", in form of a
True-Type Collection (ttc) file. All the unified CJK Han glyphs, i.e.
GBK Hanzi, in the range of U+4E00-U+9FC3 defined in Unicode Standard 5.1
are covered, with additional support to many other international
languages such as Latin, Extended Latin, Hanguls and Kanas. The font
file is extremely compact (~5M) compared with most known CJK fonts.
As a result, it can be used for hand-held devices or embedded systems, or
used on PC with a significantly small memory footprint. Because both
font faces carry hinting and kerning instructions for Latin glyphs,
they are the excellent choices for desktop fonts.

%package -n fonts-ttf-default-zh_CN
Summary: Virtual package providing default zh_CN fonts
Group: System/Fonts/True type
Requires: %{name} = %{version}

%description -n fonts-ttf-default-zh_CN
This package provides default TrueType font for zh_CN locale.

%prep
%setup -q -n wqy-microhei

%install
mkdir -p %buildroot/%{_datadir}/fonts/TTF/wqy-microhei
install -m 644 *.ttc %buildroot/%{_datadir}/fonts/TTF/wqy-microhei

mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/TTF/wqy-microhei \
    %{buildroot}%_sysconfdir/X11/fontpath.d/ttf-wqy-microhei:pri=50

%files
%doc *.txt
%dir %_datadir/fonts/TTF/wqy-microhei/
%_datadir/fonts/TTF/wqy-microhei/*.ttc
%_sysconfdir/X11/fontpath.d/ttf-wqy-microhei:pri=50

%files -n fonts-ttf-default-zh_CN


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 0.2.0-14.mga9
+ Revision: 1833990
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.2.0-13.mga8
+ Revision: 1490109
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.2.0-12.mga7
+ Revision: 1261474
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.2.0-11.mga6
+ Revision: 941098
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-10.mga5
+ Revision: 745238
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-9.mga5
+ Revision: 679290
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-8.mga5
+ Revision: 504526
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.2.0-7.mga3
+ Revision: 350733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 fwang <fwang> 0.2.0-6.mga3
+ Revision: 316378
- br fontconfig for font(:) provides

* Wed Feb 09 2011 ennael <ennael> 0.2.0-5.mga1
+ Revision: 49496
- imported package fonts-ttf-wqy-microhei


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-5mdv2011.0
+ Revision: 605206
- rebuild

* Wed Jan 20 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.2.0-4mdv2010.1
+ Revision: 494164
- fc-cache is now called by an rpm filetrigger

* Tue Sep 22 2009 Funda Wang <fwang@mandriva.org> 0.2.0-3mdv2010.0
+ Revision: 447117
- adopting font selection of zh_CN locale

* Mon Aug 31 2009 Funda Wang <fwang@mandriva.org> 0.2.0-2mdv2010.0
+ Revision: 422924
- run fc-cache at post section

* Thu Jun 18 2009 Funda Wang <fwang@mandriva.org> 0.2.0-1mdv2010.0
+ Revision: 386937
- import fonts-ttf-wqy-microhei


